%define anolis_release 2

Name:           speexdsp
Summary:        A voice compression format (DSP)
Version:        1.2.1
Release:        %{anolis_release}%{?dist}
License:        BSD
URL:            http://www.speex.org/
Source0:        https://ftp.osuosl.org/pub/xiph/releases/speex/%{name}-%{version}.tar.gz
BuildRequires:  gcc make
Conflicts: speex <= 1.2-0.21.rc1
 
%description
Speex is an Open Source/Free Software patent-free audio compression format designed for speech.
The Speex Project aims to lower the barrier of entry for voice applications by providing a free
alternative to expensive proprietary speech codecs. Moreover, Speex is well-adapted to Internet
applications and provides useful features that are not present in most other codecs. Finally,
Speex is part of the GNU Project and is available under the revised BSD license.

%package devel
Summary: 	Development package for %{name}
Requires: 	%{name} = %{EVR}
Conflicts: speex-devel <= 1.2-0.21.rc1
 
%description devel
Speex is a patent-free compression format designed especially for
speech. This package contains development files for %{name}
 
This is the DSP package, see the speex package for the codec part.

%package doc
Summary: 	Document package for %{name}
Requires: 	%{name} = %{EVR}
BuildArch:	noarch

%description doc
The document package includes README, TODO, etc. files for %{name}.
 
%prep
%autosetup -p1
 
%build
%configure \
%ifarch aarch64
	--disable-neon \
%endif
	--disable-static
 
%make_build

%install
%make_install

%generate_compatibility_deps
 
%files
%license COPYING
%doc doc/manual.pdf
%dir %{abidir}
%{_libdir}/libspeexdsp.so.*
%{abidir}/libspeexdsp.dump
 
%files devel
%{_includedir}/speex
%{_libdir}/libspeexdsp.so
%{_libdir}/pkgconfig/speexdsp.pc
 
%files doc
%doc AUTHORS TODO ChangeLog README NEWS

%changelog
* Sat Apr 15 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.2.1-2
- Refactor the spec file

* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 1.2.1-1
- New version 1.2.1

* Tue May 10 2022 gaochang <taifu.gc@alibaba-inc.com> - 1.2.0-1
- Init from upstream version 1.2.0
